<mat-form-field>
    <input matInput type="text" placeholder="Search Book Here" name="searchBookInput" [(ngModel)]="searchBook" size="100" (ngModelChange)="filterByName()">
</mat-form-field>
  <ng-container *ngIf="isAdmin=='admin'">
  <button type="button" mat-fab color="primary" class="add-btn" [routerLink]="['/admin/add']">
    <mat-icon>add</mat-icon>
  </button>
</ng-container>
<mat-form-field>
  <mat-select placeholder="Search By Category" type="text" name="selectedCategoryInput" [(ngModel)]="selectedCategoryList" (selectionChange)="filterByCategory()" [multiple]="true">
    <mat-option *ngFor="let object of categoryList" [value]="object.catId" >{{ object.categoryName }}</mat-option>
  </mat-select>
</mat-form-field>
  <ng-container *ngIf="isAdmin=='admin'">
    <total-books [bookCount]="books"></total-books>
  </ng-container>
  <div class="card-list-container">
    <ng-container *ngFor="let list of filteredList;let index=index;trackBy:trackByIndex[index]">
        <book-card [bookData]="filteredList[index]"(onDelete)="deleteData(index)" (onEdit)="editData(index)"(onIssue)="issueBook(index)"(onReturn)="returnBook(index,userIndex)" (onView)="viewUsers(index)"></book-card>
    </ng-container>
  </div>
  

